  body { background: #f1f1f1; }

  .bootstrap-filestyle { display: none; }  
  .selectactive li:hover{ background: darkred; border-top:0px !important;}
  
  .navbar-inverse .navbar-nav>li>a { color: #fff; }
  
  .navbar{ border-radius: 0px; margin-bottom: 0px; background: #cc181e; border:0px;}
  
  .table-hover>tbody>tr:hover {
    background-color: #e5e5e5;
    cursor: pointer;
  }
   
  .pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover {
      z-index: 0;
      color: #fff;
      cursor: default;
      background-color: #dc3545;
      border-color: #dc3545;
  }
  
  .pagination{padding-right: 10px;}
   
  .table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
      border-top: 0px;
      vertical-align:center;
      line-height: 1.8;
   }
  .permisioncheck {
    cursor: pointer;
  }



  .table>thead>tr>th{
    font-weight: bold !important;
   }

  div.dataTables_filter {
    text-align: right;
    padding-top: 10px;
    padding-right: 12px;
   }

  .nav-tabs>li{
    margin-bottom: -2px;
    border-top:1px solid #ddd;
    border-right:1px solid #ddd;
    border-left:1px solid #ddd;
   }

   .registrationtab>li {
      border-top:0px;
      border-right:0px;
      border-left:0px;
   }

  .nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover{
    border-top:2px solid #cc181e;   
   }

   .active_nav{ background: #a91e1e !important; color:#fff;}
   
   .active_nav_list{ background: #a91e1e !important; color:#fff;}


   .nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover{
     border-right: 0px;
     border-left: 0px;
     pointer-events: none;
     cursor: default;
   }

  .nav-tabs>li>a:focus, .nav-tabs>li>a:hover{
      background-color: #e5e5e5;
      border-top:2px solid #cc181e; 
      cursor: pointer;  
  }
  
  .nav-tabs>li>a{
    margin-right: 0px;
    color:#454545; font-weight: bold;
  }
  .dataTables_length {
    padding-top: 10px;
    padding-left: 10px; 
  }
   
  
  .fontIcons{ color:#cc181e; font-size: 16px !important;  }

   .testin{
    color:white;
  }
  tr.selected_row td {
    background: #dc3545;
    color: #fff;
  }

.ui-table-highlight {
   background-color:#dc3545 !important;
   color:#fff;
}

.shared {
   border-bottom:1px solid #ddd;
   padding-bottom: 15px;

}
.box-shadow{
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12), 0 3px 1px -2px rgba(0,0,0,.2);
}


.card--field {
    background: #f9f9f9;
    box-shadow: none;
    padding-bottom: 0;
    padding:14px;
}

.card--field .form-control {
    background-color: #f9f9f9;
    box-shadow: none !important;
  }
  .card--field label{
    color: #9e9e9e;
  }

  .ex1{
    border:0px !important;
    border-bottom: 1px solid #ddd !important;

  }
  .ex1:focus {
    border:0px !important;
    border-bottom: 2px solid #cc181e !important;

  }
  .stars{
    color:#cc181e;
  }

 .savebuttons{
    font-weight: 200 !important;
    border: 1px solid #ddd !important;
    height: 35px;
    background: green;
    border-radius: 3px !important;
    line-height: 10px !important;
    margin-top: 2px;
    cursor: pointer;
 }

 .rightbuttons{
    font-weight: 200 !important;
    border: 1px solid #ddd !important;
    height: 35px;
    background: #fff;
    color:#000;
    font-size: 15px;
    border-radius: 3px !important;
    line-height: 10px !important;
    margin-top: 2px;
    cursor: pointer;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12), 0 3px 1px -2px rgba(0,0,0,.2);
 }

 .rightaction {
   float: right !important;
   border: none !important;
 }
 .rightaction>a:hover{
  background: #cc181e !important;
  border: none !important;
  color:#fff;
 }
 
 .rightbuttons:hover{
  background: green;
 }
.down_accordian{
    font-weight: 200 !important;
    border: 1px solid #ddd !important;
    height: 35px;
    border-radius: 3px !important;
    line-height: 10px !important;
    margin-top: 2px;
    cursor: pointer;
 }
 .footer_nav{
    background: #f1f1f1;
 }
 .footer_nav>li>a{
   font-weight: 200;
 }

 .dataTables_info {
   padding-left: 10px !important;
 }

 .rows-container {
     padding: 15px;
     padding-bottom: 15px;
     box-shadow: 1px 1px 1px 0 rgba(0,0,0,.07), 1px 2px 5px 0 rgba(0,0,0,.06);
 }

 #footer_accrodian {
   background: #fff;
   padding: 13px;
   height: 300px !important;
   border-left: 1px solid #ddd;
   border-right: 1px solid #ddd;
   border-bottom: 1px solid #ddd;
 }

 #data_wrapper {
    box-shadow: 1px 1px 1px 0 rgba(0,0,0,.07), 1px 2px 5px 0 rgba(0,0,0,.06);
    border-left: 1px solid #ddd;
 }



 
 .overlay {
    position: fixed;
    width: 81.7%;
    max-height: 35.2%;
    margin-top: 32.5%;
    margin-left: 16px;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255,255,255,.9);
    z-index: 2;
    cursor: pointer;
}

.video_footer_fixed {
    position: fixed;
    width: 81.7%;
    max-height: 35.2%;
    margin-top: 32.5%;
    margin-left: 16px;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255,255,255,.9);
    z-index: 0;
    cursor: pointer;
}

.text{
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 23px;
    display: inline-table;
    color: #000;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}



.right_side_overlay {
    position: fixed;
    width: 17.0%;
    height: 89.9%;
    padding: 5px;
    top:12%;
    left: 55;
    right: 0;
    bottom: 0;
    background: rgba(255,255,255,.9);
    z-index: 2;
    cursor: pointer;
}


.badge {
   background-color: #dc3545;
}

.progress-bar {
    float: left;
    width: 0;
    height: 100%;
    font-size: 12px;
    line-height: 20px;
    color: #fff;
    text-align: center;
    background-color: #337ab7;
    -webkit-box-shadow: inset 0 -1px 0 rgba(0,0,0,.15);
    box-shadow: inset 0 -1px 0 rgba(0,0,0,.15);
    -webkit-transition: width .6s ease;
    -o-transition: width .6s ease;
    transition: width .6s ease;
}

.progress {
    height: 20px !important;
    margin-bottom: 20px;
    overflow: hidden;
    background-color: #f5f5f5;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 2px rgba(0,0,0,.1);
    box-shadow: inset 0 1px 2px rgba(0,0,0,.1);
}

#page-content {
  background:#f1f1f1;
}


/* for checkbox design */
 input[type=checkbox] {
         position: relative;
         cursor: pointer;
         
    }
    input[type=checkbox]:before {
         content: "";
         display: block;
         position: absolute;
         width: 17px;
         height: 17px;
         top: 0;
         left: 0;
         border: 2px solid;
         border-radius: 3px;
         background-color: white;
}
    input[type=checkbox]:checked:after {
         content: "";
         display: block;
         width: 5px;
         height: 10px;
         border: solid #dc3545;
         border-width: 0 2px 2px 0;
         -webkit-transform: rotate(45deg);
         -ms-transform: rotate(45deg);
         transform: rotate(45deg);
         position: absolute;
         top: 2px;
         left: 6px;
}


/**THE SAME CSS IS USED IN ALL 3 DEMOS**/    
    /**gallery margins**/  
    ul.gallery{    
    margin-left: 3vw;     
    margin-right:3vw;  
    }    

    .zoom {      
    -webkit-transition: all 0.35s ease-in-out;    
    -moz-transition: all 0.35s ease-in-out;    
    transition: all 0.35s ease-in-out;     
    cursor: -webkit-zoom-in;      
    cursor: -moz-zoom-in;      
    cursor: zoom-in;  
    }     

    .zoom:hover,  
    .zoom:active,   
    .zoom:focus {
    /**adjust scale to desired size, 
    add browser prefixes**/
    -ms-transform: scale(2.5);    
    -moz-transform: scale(2.5);  
    -webkit-transform: scale(2.5);  
    -o-transform: scale(2.5);  
    transform: scale(2.5);    
    position:relative;      
    z-index:100;  
    }

    /**To keep upscaled images visible on mobile, 
    increase left & right margins a bit**/  
    @media only screen and (max-width: 768px) {   
    ul.gallery {      
    margin-left: 15vw;       
    margin-right: 15vw;
    }

    /**TIP: Easy escape for touch screens,
    give gallery's parent container a cursor: pointer.**/
    .DivName {cursor: pointer}
    }


/*------------------------------ For Registraion ----------------------------------*/
    
    input[type='number'] {
        -moz-appearance:textfield;
    }
    /* Webkit browsers like Safari and Chrome */
    input[type=number]::-webkit-inner-spin-button,
    input[type=number]::-webkit-outer-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    .modal-header {
      display: block;
    }


    .wizard {
        background: #fff;
    }

    .wizard .nav-tabs {
        position: relative;
        margin: 40px auto;
        margin-bottom: 0;
        border-bottom-color: #e0e0e0;
    }

    .wizard > div.wizard-inner {
        position: relative;
    }

    .connecting-line {
        height: 2px;
        background: #e0e0e0;
        position: absolute;
        width: 80%;
        margin: 0 auto;
        left: 0;
        right: 0;
        top: 50%;
        z-index: 1;
    }

    .wizard .nav-tabs > li.active > a, .wizard .nav-tabs > li.active > a:hover, .wizard .nav-tabs > li.active > a:focus {
        color: #555555;
        cursor: default;
        border: 0;
        border-bottom-color: transparent;
    }

    span.round-tab {
        width: 70px;
        height: 70px;
        line-height: 70px;
        display: inline-block;
        border-radius: 100px;
        background: #fff;
        border: 2px solid #e0e0e0;
        z-index: 2;
        position: absolute;
        left: 0;
        text-align: center;
        font-size: 25px;
    }
    span.round-tab i{
        color:#cc181e;
    }
    .wizard li.active span.round-tab {
        background: #fff;
        border: 2px solid #5bc0de;
        
    }
    .wizard li.active span.round-tab i{
        color: #5bc0de;
    }

    span.round-tab:hover {
        color: #333;
        border: 2px solid #333;
    }

    .wizard .nav-tabs > li {
        width: 20%;
    }

    .wizard li:after {
        content: " ";
        position: absolute;
        left: 46%;
        opacity: 0;
        margin: 0 auto;
        bottom: 0px;
        border: 5px solid transparent;
        border-bottom-color: #5bc0de;
        transition: 0.1s ease-in-out;
    }

    .wizard li.active:after {
        content: " ";
        position: absolute;
        left: 46%;
        opacity: 1;
        margin: 0 auto;
        bottom: 0px;
        border: 10px solid transparent;
        border-bottom-color: #5bc0de;
    }

    .wizard .nav-tabs > li a {
        width: 70px;
        height: 70px;
        margin: 20px auto;
        border-radius: 100%;
        padding: 0;
    }

        .wizard .nav-tabs > li a:hover {
            background: transparent;
        }

    .wizard .tab-pane {
        position: relative;
        padding-top: 15px;
    }

    .wizard h3 {
        margin-top: 0;
    }

@media( max-width : 585px ) {

    .wizard {
        width: 90%;
        height: auto !important;
    }

    span.round-tab {
        font-size: 16px;
        width: 50px;
        height: 50px;
        line-height: 50px;
    }

    .wizard .nav-tabs > li a {
        width: 50px;
        height: 50px;
        line-height: 50px;
    }

    .wizard li.active:after {
        content: " ";
        position: absolute;
        left: 35%;
    }
}

/* ------------------ custom css ------------------------ */

.swal-modal{
    margin-bottom: 600px !important;
  }
    /* For Firefox */
  input[type='number'] {
      -moz-appearance:textfield;
  }
  /* Webkit browsers like Safari and Chrome */
  input[type=number]::-webkit-inner-spin-button,
  input[type=number]::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
  }
  .swal-icon {
      width: 70px;
      height: 70px;
      border-width: 4px;
      border-style: solid;
      border-radius: 50%;
      padding: 0;
      position: relative;
      box-sizing: content-box;
      margin: 0px auto;
  }
  .swal-modal{
     width: 450px;
  }
  .swal-title{
    color:#cc181e;
    font-size: 19px;
  }
  .hover-cell:hover {
       transform: scale(1, 1);
         -webkit-box-shadow: inset 1px 0 0 #dadce0, inset -1px 0 0 #dadce0, 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
         box-shadow: inset 1px 0 0 #dadce0, inset -1px 0 0 #dadce0, 0 1px 2px 0 rgba(60,64,67,.3), 0 1px 3px 1px rgba(60,64,67,.15);
         z-index: 1;    
   }
  table td {
   vertical-align: middle !important;
  }
  .popover {max-width:250px;}

